       DIMENSION IA(10)
        I = 3
        IA(I) = 6
        WRITE (6,*) I, IA(3)

        CALL SWAP_BY_LOCATION( I, IA(I))
        WRITE (6,*) I, IA(3)
        WRITE (6,*) I, IA(I)
        STOP
        END

       SUBROUTINE SWAP_BY_LOCATION( IX,IY)
          ITEMP = IX
          IX = IY
          IY = ITEMP
       END
